#include <config.h>
#include <stdio.h>
#include <string.h>
#include <gtk/gtk.h>
#include <glade/glade.h>

#include "about.h"

/* resources */
#include "pixmaps/TagTool.xpm"


/* private data */
static GtkWindow *dlg_about = NULL;


/* public functions */

void about_display()
{
	gtk_widget_show(GTK_WIDGET(dlg_about));
}

void about_init(GladeXML *xml)
{
	GtkWindow *w_main = NULL;
	GtkLabel *lab_about_title = NULL;
	GtkLabel *lab_about_supported = NULL;
	GtkPixmap *pixmap_about = NULL;
	GdkPixmap *xpm_icon;
	GdkBitmap *xpm_icon_m;
	char buffer[100];

	dlg_about = GTK_WINDOW(glade_xml_get_widget(xml, "dlg_about"));
	w_main = GTK_WINDOW(glade_xml_get_widget(xml, "w_main"));
	lab_about_title = GTK_LABEL(glade_xml_get_widget(xml, "lab_about_title"));
	lab_about_supported = GTK_LABEL(glade_xml_get_widget(xml, "lab_about_supported"));
	pixmap_about = GTK_PIXMAP(glade_xml_get_widget(xml, "pixmap_about"));
	
	gtk_window_set_transient_for(dlg_about, w_main);

	/* set the icon */
	xpm_icon = gdk_pixmap_create_from_xpm_d(GTK_WIDGET(w_main)->window, &xpm_icon_m, 
						NULL, TagTool_xpm);
	gtk_pixmap_set(pixmap_about, xpm_icon, xpm_icon_m);


	/* set the title */
	snprintf(buffer, sizeof(buffer), "Audio Tag Tool  v%s", VERSION);
	gtk_label_set_text(lab_about_title, buffer);

	/* set the supported audio formats */
	buffer[0] = 0;
#ifdef ENABLE_MP3
	strcat(buffer, " MPEG ");
#endif
#ifdef ENABLE_VORBIS
	strcat(buffer, " Ogg Vorbis ");
#endif
	gtk_label_set_text(lab_about_supported, buffer);
	
}

